#!/bin/sh

components=$*
[ -z "$components" ] && components='eet evas ecore embryo edje'

export SBOX_DEFAULT_AUTOMAKE=1.8

for component in $components ; do
	rm -rf ./$component*
	cvs -z3 -d :pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co -d ./$component e17/libs/$component || exit
	cd ./$component
	./autogen.sh && make dist-gzip
	version=`sed -n 's/#define VERSION "\([^"]\+\)"/\1/p' config.h`
	mv $component-$version.tar.gz ../
	cd ../
	tar zxf $component-$version.tar.gz --exclude=debian
	tar zcf ${component}_${version}.orig.tar.gz $component-$version
	rm -rf $component-$version.tar.gz $component-$version
done

